Bug 1009421 - Installer: Unable to perform any post-install actions with changed port-offset
Installer: Unable to perform any post-install actions with changed port-offset
Status: CLOSED CURRENTRELEASE
Product: JBoss Enterprise Application Platform 6
Classification: JBoss
Component: Installer (Show other bugs)
6.2.0
Unspecified Unspecified
unspecified Severity high
: ER3
: EAP 6.2.0
Assigned To: Francisco Canas
Petr Kremensky
Russell Dickenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-18 08:06 EDT by Petr Kremensky
Modified: 2013-12-15 11:12 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-12-15 11:12:14 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Petr Kremensky 2013-09-18 08:06:38 EDT
Description of problem:
I am unable to perform any post-install action once I change port-offset during installation. Installation will ends with failure.

Version-Release number of selected component (if applicable):
EAP 6.2.0.ER2

Steps to Reproduce:
On Socket Binding screen choose "Select Offset Type -> +100 offset"
On Post-Install Configuration screen choose to "Perform additional post-install configuration" and check some option (eg Add security domain)
Finish the installation 

Actual results:
Post install action will fail:
Processing screen output:

  JBOSS_HOME: /home/pkremens/EAP-6.2.0/jboss-eap-6.2

  JAVA: /usr/java/jdk1.7.0_17/bin/java

  JAVA_OPTS: -Xms64m -Xmx512m -XX:MaxPermSize=256m -Djava.net.preferIPv4Stack=true -Djboss.modules.system.pkgs=org.jboss.byteman -Djava.awt.headless=true

=========================================================================

14:00:31,595 INFO  [org.jboss.modules] (main) JBoss Modules version 1.3.0.Beta4
14:00:31,673 INFO  [org.jboss.as.process.Host Controller.status] (main) JBAS012017: Starting process 'Host Controller'
[Host Controller] 14:00:32,067 INFO  [org.jboss.modules] (main) JBoss Modules version 1.3.0.Beta4
[Host Controller] 14:00:32,171 INFO  [org.jboss.msc] (main) JBoss MSC version 1.0.4.GA-redhat-1
[Host Controller] 14:00:32,217 INFO  [org.jboss.as] (MSC service thread 1-6) JBAS015899: JBoss EAP 6.2.0.Alpha1 (AS 7.3.0.Final-redhat-1) starting
[Host Controller] 14:00:32,678 INFO  [org.xnio] (MSC service thread 1-6) XNIO Version 3.0.7.GA-redhat-1
[Host Controller] 14:00:32,683 INFO  [org.xnio.nio] (MSC service thread 1-6) XNIO NIO Implementation Version 3.0.7.GA-redhat-1
[Host Controller] 14:00:32,686 INFO  [org.jboss.as] (Controller Boot Thread) JBAS010902: Creating http management service using network interface (management) port (9990) securePort (-1)
[Host Controller] 14:00:32,694 INFO  [org.jboss.remoting] (MSC service thread 1-6) JBoss Remoting version 3.2.16.GA-redhat-1
[Host Controller] 14:00:32,749 INFO  [org.jboss.as.remoting] (MSC service thread 1-3) JBAS017100: Listening on 127.0.0.1:9999
[Host Controller] 14:00:33,989 INFO  [org.jboss.as] (Controller Boot Thread) JBAS015961: Http management interface listening on http://127.0.0.1:9990/management
[Host Controller] 14:00:33,990 INFO  [org.jboss.as] (Controller Boot Thread) JBAS015954: Admin console is not enabled
[Host Controller] 14:00:33,990 INFO  [org.jboss.as] (Controller Boot Thread) JBAS015874: JBoss EAP 6.2.0.Alpha1 (AS 7.3.0.Final-redhat-1) (Host Controller) started in 2264ms - Started 12 of 12 services (0 services are passive or on-demand)
Log successfully written to: /home/pkremens/EAP-6.2.0/postinstall-domain.log
Trying to connect to Management Interface...(1/3).
Trying to connect to Management Interface...(2/3).
Trying to connect to Management Interface...(3/3).
Failed to connect to Management Interface after 3 attempts.
Post-installation configuration has failed. See the log for a list of commands that were run. These can be manually run to achieve the same effect as the installation process.
Running onfail Server Check.
Shutting server down.
Trying to connect to Management Interface...(1/5).
Connected to Management Interface.

Expected results:
Post-install action is performed without any failure
Comment 1 Francisco Canas 2013-09-25 13:46:37 EDT
Changed how the post install jobs connect to server (domain does not use port offset, while standalone does). Specifying a port offset no longer leads to failure in the post-install panel.

See commit for details:
http://git.app.eng.bos.redhat.com/?p=jbossas-installer.git;a=commit;h=31f485ae564fdf6a60a1e10b127f684f8bbcf19d

NOTE:
The post-install panel currently doesn't support user-specified management ports for all of the various configurations of the standalone server (regular, ha, full). So manually changing the management port for the ha and full configurations will lead to failure in the post-install. This support will added by the next ER.
Comment 2 Petr Kremensky 2013-09-26 09:47:18 EDT
I would better leave this open until you fix the issue you've mentioned in previous comment if you don't mind.
Comment 3 Thomas Hauser 2013-09-27 14:21:47 EDT
I believe that we should close this BZ because the specific issue it addresses is resolved (port-offsets now won't affect the post-installation success.) The issue above will have a new BZ opened for it (customizing the management interface port directly will break the post-installation process.)
Comment 4 Francisco Canas 2013-09-27 14:50:36 EDT
I have opened a new BZ for the second issue I noted above (where post-install fails if user specifies custom management interface ports for standalone configs):
https://bugzilla.redhat.com/show_bug.cgi?id=1013067
Comment 5 Petr Kremensky 2013-09-30 01:34:37 EDT
Closing this as verified as rest of the issue is covered by BZ1013067.

Verified on EAP 6.2.0.ER3

Note You need to log in before you can comment on or make changes to this bug.